/*
 * 头文件：syscall_rule.h
 * 功能：该文件定义了系统调用的规则，0为禁止，1为允许
 * 最后修改：2012-08-17
 */
#include <sys/syscall.h>

#ifndef SYSCALL_RULE_H
#define SYSCALL_RULE_H

#define SYSCALL_MAX 347
#define syscall_is_valid(x) \
	(((x) >= SYSCALL_MAX || (x) < 0) ? 0 : __SCALL[(x)])
static char __SCALL[SYSCALL_MAX] = {
/*   0: __NR_restart_syscall             */		1,
/*   1: __NR_exit                        */		1,
/*   2: __NR_fork                        */		1,
/*   3: __NR_read                        */		1,
/*   4: __NR_write                       */		1,
/*   5: __NR_open                        */		1,
/*   6: __NR_close                       */		1,
/*   7: __NR_waitpid                     */		1,
/*   8: __NR_creat                       */		1,
/*   9: __NR_link                        */		1,
/*  10: __NR_unlink                      */		1,
/*  11: __NR_execve                      */		1,
/*  12: __NR_chdir                       */		1,
/*  13: __NR_time                        */		1,
/*  14: __NR_mknod                       */		1,
/*  15: __NR_chmod                       */		1,
/*  16: __NR_lchown                      */		1,
/*  17: __NR_break                       */		1,
/*  18: __NR_oldstat                     */		1,
/*  19: __NR_lseek                       */		1,
/*  20: __NR_getpid                      */		1,
/*  21: __NR_mount                       */		1,
/*  22: __NR_umount                      */		1,
/*  23: __NR_setuid                      */		1,
/*  24: __NR_getuid                      */		1,
/*  25: __NR_stime                       */		1,
/*  26: __NR_ptrace                      */		1,
/*  27: __NR_alarm                       */		1,
/*  28: __NR_oldfstat                    */		1,
/*  29: __NR_pause                       */		1,
/*  30: __NR_utime                       */		1,
/*  31: __NR_stty                        */		1,
/*  32: __NR_gtty                        */		1,
/*  33: __NR_access                      */		1,
/*  34: __NR_nice                        */		1,
/*  35: __NR_ftime                       */		1,
/*  36: __NR_sync                        */		1,
/*  37: __NR_kill                        */		1,
/*  38: __NR_rename                      */		1,
/*  39: __NR_mkdir                       */		1,
/*  40: __NR_rmdir                       */		1,
/*  41: __NR_dup                         */		1,
/*  42: __NR_pipe                        */		1,
/*  43: __NR_times                       */		1,
/*  44: __NR_prof                        */		1,
/*  45: __NR_brk                         */		1,
/*  46: __NR_setgid                      */		1,
/*  47: __NR_getgid                      */		1,
/*  48: __NR_signal                      */		1,
/*  49: __NR_geteuid                     */		1,
/*  50: __NR_getegid                     */		1,
/*  51: __NR_acct                        */		1,
/*  52: __NR_umount2                     */		1,
/*  53: __NR_lock                        */		1,
/*  54: __NR_ioctl                       */		1,
/*  55: __NR_fcntl                       */		1,
/*  56: __NR_mpx                         */		1,
/*  57: __NR_setpgid                     */		1,
/*  58: __NR_ulimit                      */		1,
/*  59: __NR_oldolduname                 */		1,
/*  60: __NR_umask                       */		1,
/*  61: __NR_chroot                      */		1,
/*  62: __NR_ustat                       */		1,
/*  63: __NR_dup2                        */		1,
/*  64: __NR_getppid                     */		1,
/*  65: __NR_getpgrp                     */		1,
/*  66: __NR_setsid                      */		1,
/*  67: __NR_sigaction                   */		1,
/*  68: __NR_sgetmask                    */		1,
/*  69: __NR_ssetmask                    */		1,
/*  70: __NR_setreuid                    */		1,
/*  71: __NR_setregid                    */		1,
/*  72: __NR_sigsuspend                  */		1,
/*  73: __NR_sigpending                  */		1,
/*  74: __NR_sethostname                 */		1,
/*  75: __NR_setrlimit                   */		1,
/*  76: __NR_getrlimit                   */		1,
/*  77: __NR_getrusage                   */		1,
/*  78: __NR_gettimeofday                */		1,
/*  79: __NR_settimeofday                */		1,
/*  80: __NR_getgroups                   */		1,
/*  81: __NR_setgroups                   */		1,
/*  82: __NR_select                      */		1,
/*  83: __NR_symlink                     */		1,
/*  84: __NR_oldlstat                    */		1,
/*  85: __NR_readlink                    */		1,
/*  86: __NR_uselib                      */		1,
/*  87: __NR_swapon                      */		1,
/*  88: __NR_reboot                      */		1,
/*  89: __NR_readdir                     */		1,
/*  90: __NR_mmap                        */		1,
/*  91: __NR_munmap                      */		1,
/*  92: __NR_truncate                    */		1,
/*  93: __NR_ftruncate                   */		1,
/*  94: __NR_fchmod                      */		1,
/*  95: __NR_fchown                      */		1,
/*  96: __NR_getpriority                 */		1,
/*  97: __NR_setpriority                 */		1,
/*  98: __NR_profil                      */		1,
/*  99: __NR_statfs                      */		1,
/* 100: __NR_fstatfs                     */		1,
/* 101: __NR_ioperm                      */		1,
/* 102: __NR_socketcall                  */		1,
/* 103: __NR_syslog                      */		1,
/* 104: __NR_setitimer                   */		1,
/* 105: __NR_getitimer                   */		1,
/* 106: __NR_stat                        */		1,
/* 107: __NR_lstat                       */		1,
/* 108: __NR_fstat                       */		1,
/* 109: __NR_olduname                    */		1,
/* 110: __NR_iopl                        */		1,
/* 111: __NR_vhangup                     */		1,
/* 112: __NR_idle                        */		1,
/* 113: __NR_vm86old                     */		1,
/* 114: __NR_wait4                       */		1,
/* 115: __NR_swapoff                     */		1,
/* 116: __NR_sysinfo                     */		1,
/* 117: __NR_ipc                         */		1,
/* 118: __NR_fsync                       */		1,
/* 119: __NR_sigreturn                   */		1,
/* 120: __NR_clone                       */		1,
/* 121: __NR_setdomainname               */		1,
/* 122: __NR_uname                       */		1,
/* 123: __NR_modify_ldt                  */		1,
/* 124: __NR_adjtimex                    */		1,
/* 125: __NR_mprotect                    */		1,
/* 126: __NR_sigprocmask                 */		1,
/* 127: __NR_create_module               */		1,
/* 128: __NR_init_module                 */		1,
/* 129: __NR_delete_module               */		1,
/* 130: __NR_get_kernel_syms             */		1,
/* 131: __NR_quotactl                    */		1,
/* 132: __NR_getpgid                     */		1,
/* 133: __NR_fchdir                      */		1,
/* 134: __NR_bdflush                     */		1,
/* 135: __NR_sysfs                       */		1,
/* 136: __NR_personality                 */		1,
/* 137: __NR_afs_syscall                 */		1,
/* 138: __NR_setfsuid                    */		1,
/* 139: __NR_setfsgid                    */		1,
/* 140: __NR__llseek                     */		1,
/* 141: __NR_getdents                    */		1,
/* 142: __NR__newselect                  */		1,
/* 143: __NR_flock                       */		1,
/* 144: __NR_msync                       */		1,
/* 145: __NR_readv                       */		1,
/* 146: __NR_writev                      */		1,
/* 147: __NR_getsid                      */		1,
/* 148: __NR_fdatasync                   */		1,
/* 149: __NR__sysctl                     */		1,
/* 150: __NR_mlock                       */		1,
/* 151: __NR_munlock                     */		1,
/* 152: __NR_mlockall                    */		1,
/* 153: __NR_munlockall                  */		1,
/* 154: __NR_sched_setparam              */		1,
/* 155: __NR_sched_getparam              */		1,
/* 156: __NR_sched_setscheduler          */		1,
/* 157: __NR_sched_getscheduler          */		1,
/* 158: __NR_sched_yield                 */		1,
/* 159: __NR_sched_get_priority_max      */		1,
/* 160: __NR_sched_get_priority_min      */		1,
/* 161: __NR_sched_rr_get_interval       */		1,
/* 162: __NR_nanosleep                   */		1,
/* 163: __NR_mremap                      */		1,
/* 164: __NR_setresuid                   */		1,
/* 165: __NR_getresuid                   */		1,
/* 166: __NR_vm86                        */		1,
/* 167: __NR_query_module                */		1,
/* 168: __NR_poll                        */		1,
/* 169: __NR_nfsservctl                  */		1,
/* 170: __NR_setresgid                   */		1,
/* 171: __NR_getresgid                   */		1,
/* 172: __NR_prctl                       */		1,
/* 173: __NR_rt_sigreturn                */		1,
/* 174: __NR_rt_sigaction                */		1,
/* 175: __NR_rt_sigprocmask              */		1,
/* 176: __NR_rt_sigpending               */		1,
/* 177: __NR_rt_sigtimedwait             */		1,
/* 178: __NR_rt_sigqueueinfo             */		1,
/* 179: __NR_rt_sigsuspend               */		1,
/* 180: __NR_pread64                     */		1,
/* 181: __NR_pwrite64                    */		1,
/* 182: __NR_chown                       */		1,
/* 183: __NR_getcwd                      */		1,
/* 184: __NR_capget                      */		1,
/* 185: __NR_capset                      */		1,
/* 186: __NR_sigaltstack                 */		1,
/* 187: __NR_sendfile                    */		1,
/* 188: __NR_getpmsg                     */		1,
/* 189: __NR_putpmsg                     */		1,
/* 190: __NR_vfork                       */		1,
/* 191: __NR_ugetrlimit                  */		1,
/* 192: __NR_mmap2                       */		1,
/* 193: __NR_truncate64                  */		1,
/* 194: __NR_ftruncate64                 */		1,
/* 195: __NR_stat64                      */		1,
/* 196: __NR_lstat64                     */		1,
/* 197: __NR_fstat64                     */		1,
/* 198: __NR_lchown32                    */		1,
/* 199: __NR_getuid32                    */		1,
/* 200: __NR_getgid32                    */		1,
/* 201: __NR_geteuid32                   */		1,
/* 202: __NR_getegid32                   */		1,
/* 203: __NR_setreuid32                  */		1,
/* 204: __NR_setregid32                  */		1,
/* 205: __NR_getgroups32                 */		1,
/* 206: __NR_setgroups32                 */		1,
/* 207: __NR_fchown32                    */		1,
/* 208: __NR_setresuid32                 */		1,
/* 209: __NR_getresuid32                 */		1,
/* 210: __NR_setresgid32                 */		1,
/* 211: __NR_getresgid32                 */		1,
/* 212: __NR_chown32                     */		1,
/* 213: __NR_setuid32                    */		1,
/* 214: __NR_setgid32                    */		1,
/* 215: __NR_setfsuid32                  */		1,
/* 216: __NR_setfsgid32                  */		1,
/* 217: __NR_pivot_root                  */		1,
/* 218: __NR_mincore                     */		1,
/* 219: __NR_madvise                     */		1,
/* 220: __NR_madvise1                    */		1,
/* 221: __NR_getdents64                  */		1,
/* 222: __NR_fcntl64                     */		1,
/* 223: __NR_223                         */		1,
/* 224: __NR_gettid                      */		1,
/* 225: __NR_readahead                   */		1,
/* 226: __NR_setxattr                    */		1,
/* 227: __NR_lsetxattr                   */		1,
/* 228: __NR_fsetxattr                   */		1,
/* 229: __NR_getxattr                    */		1,
/* 230: __NR_lgetxattr                   */		1,
/* 231: __NR_fgetxattr                   */		1,
/* 232: __NR_listxattr                   */		1,
/* 233: __NR_llistxattr                  */		1,
/* 234: __NR_flistxattr                  */		1,
/* 235: __NR_removexattr                 */		1,
/* 236: __NR_lremovexattr                */		1,
/* 237: __NR_fremovexattr                */		1,
/* 238: __NR_tkill                       */		1,
/* 239: __NR_sendfile64                  */		1,
/* 240: __NR_futex                       */		1,
/* 241: __NR_sched_setaffinity           */		1,
/* 242: __NR_sched_getaffinity           */		1,
/* 243: __NR_set_thread_area             */		1,
/* 244: __NR_get_thread_area             */		1,
/* 245: __NR_io_setup                    */		1,
/* 246: __NR_io_destroy                  */		1,
/* 247: __NR_io_getevents                */		1,
/* 248: __NR_io_submit                   */		1,
/* 249: __NR_io_cancel                   */		1,
/* 250: __NR_fadvise64                   */		1,
/* 251: __NR_251                         */		1,
/* 252: __NR_exit_group                  */		1,
/* 253: __NR_lookup_dcookie              */		1,
/* 254: __NR_epoll_create                */		1,
/* 255: __NR_epoll_ctl                   */		1,
/* 256: __NR_epoll_wait                  */		1,
/* 257: __NR_remap_file_pages            */		1,
/* 258: __NR_set_tid_address             */		1,
/* 259: __NR_timer_create                */		1,
/* 260: __NR_timer_settime               */		1,
/* 261: __NR_timer_gettime               */		1,
/* 262: __NR_timer_getoverrun            */		1,
/* 263: __NR_timer_delete                */		1,
/* 264: __NR_clock_settime               */		1,
/* 265: __NR_clock_gettime               */		1,
/* 266: __NR_clock_getres                */		1,
/* 267: __NR_clock_nanosleep             */		1,
/* 268: __NR_statfs64                    */		1,
/* 269: __NR_fstatfs64                   */		1,
/* 270: __NR_tgkill                      */		1,
/* 271: __NR_utimes                      */		1,
/* 272: __NR_fadvise64_64                */		1,
/* 273: __NR_vserver                     */		1,
/* 274: __NR_mbind                       */		1,
/* 275: __NR_get_mempolicy               */		1,
/* 276: __NR_set_mempolicy               */		1,
/* 277: __NR_mq_open                     */		1,
/* 278: __NR_mq_unlink                   */		1,
/* 279: __NR_mq_timedsend                */		1,
/* 280: __NR_mq_timedreceive             */		1,
/* 281: __NR_mq_notify                   */		1,
/* 282: __NR_mq_getsetattr               */		1,
/* 283: __NR_kexec_load                  */		1,
/* 284: __NR_waitid                      */		1,
/* 285: __NR_285                         */		1,
/* 286: __NR_add_key                     */		1,
/* 287: __NR_request_key                 */		1,
/* 288: __NR_keyctl                      */		1,
/* 289: __NR_ioprio_set                  */		1,
/* 290: __NR_ioprio_get                  */		1,
/* 291: __NR_inotify_init                */		1,
/* 292: __NR_inotify_add_watch           */		1,
/* 293: __NR_inotify_rm_watch            */		1,
/* 294: __NR_migrate_pages               */		1,
/* 295: __NR_openat                      */		1,
/* 296: __NR_mkdirat                     */		1,
/* 297: __NR_mknodat                     */		1,
/* 298: __NR_fchownat                    */		1,
/* 299: __NR_futimesat                   */		1,
/* 300: __NR_fstatat64                   */		1,
/* 301: __NR_unlinkat                    */		1,
/* 302: __NR_renameat                    */		1,
/* 303: __NR_linkat                      */		1,
/* 304: __NR_symlinkat                   */		1,
/* 305: __NR_readlinkat                  */		1,
/* 306: __NR_fchmodat                    */		1,
/* 307: __NR_faccessat                   */		1,
/* 308: __NR_pselect6                    */		1,
/* 309: __NR_ppoll                       */		1,
/* 310: __NR_unshare                     */		1,
/* 311: __NR_set_robust_list             */		1,
/* 312: __NR_get_robust_list             */		1,
/* 313: __NR_splice                      */		1,
/* 314: __NR_sync_file_range             */		1,
/* 315: __NR_tee                         */		1,
/* 316: __NR_vmsplice                    */		1,
/* 317: __NR_move_pages                  */		1,
/* 318: __NR_getcpu                      */		1,
/* 319: __NR_epoll_pwait                 */		1,
/* 320: __NR_utimensat                   */		1,
/* 321: __NR_signalfd                    */		1,
/* 322: __NR_timerfd_create              */		1,
/* 323: __NR_eventfd                     */		1,
/* 324: __NR_fallocate                   */		1,
/* 325: __NR_timerfd_settime             */		1,
/* 326: __NR_timerfd_gettime             */		1,
/* 327: __NR_signalfd4                   */		1,
/* 328: __NR_eventfd2                    */		1,
/* 329: __NR_epoll_create1               */		1,
/* 330: __NR_dup3                        */		1,
/* 331: __NR_pipe2                       */		1,
/* 332: __NR_inotify_init1               */		1,
/* 333: __NR_preadv                      */		1,
/* 334: __NR_pwritev                     */		1,
/* 335: __NR_rt_tgsigqueueinfo           */		1,
/* 336: __NR_perf_event_open             */		1,
/* 337: __NR_recvmmsg                    */		1,
/* 338: __NR_fanotify_init               */		1,
/* 339: __NR_fanotify_mark               */		1,
/* 340: __NR_prlimit64                   */		1,
/* 341: __NR_name_to_handle_at           */		1,
/* 342: __NR_open_by_handle_at           */		1,
/* 343: __NR_clock_adjtime               */		1,
/* 344: __NR_syncfs                      */		1,
/* 345: __NR_sendmmsg                    */		1,
/* 346: __NR_setns                       */		1,
};

#endif
